<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc = "公共类">
<query id = "FrmComm.getPlineCode" desc = "获取产线代码">
SELECT T.PLINE_CODE,T.PLINE_NAME FROM COM_BASE_PLINE T WHERE T.VALIDFLAG='1'
</query>

    <query id = "FrmComm.getPlineCodeW" desc = "获取产线代码">
        SELECT T1.PLINE_CODE, T1.PLINE_NAME
        FROM COM_BASE_INFO T, COM_BASE_PLINE T1
        WHERE T.BASENAME = T1.PLINE_CODE
        AND T.SORTCODE = '7037'
        AND T.VALIDFLAG = '1'
    </query>

    <query id = "FrmComm.getCheckStation" desc = "获取产线代码">
        SELECT DISTINCT C.BASECODE,C.BASENAME FROM COM_BASE_PLINE T, COM_BASE_INFO C WHERE T.VALIDFLAG='1' AND T.CHECK_STATION = C.BASECODE AND T.CHECK_STATION IS NOT NULL
    </query>


    <query id = "FrmComm.getProStation" desc = "获取产线代码">
        SELECT DISTINCT C.BASECODE,C.BASENAME FROM COM_BASE_PLINE T, COM_BASE_INFO C WHERE T.VALIDFLAG='1' AND T.FACTORY_CODE = C.BASECODE AND T.FACTORY_CODE IS NOT NULL
    </query>

<query id = "FrmComm.getPlineCodeName" desc = "获取产线代码">
SELECT NULL PLINE_CODE,NULL PLINE_NAME FROM DUAL
UNION ALL
SELECT T.PLINE_CODE,T.PLINE_NAME FROM COM_BASE_PLINE T WHERE T.VALIDFLAG='1'
</query>
</queryMap>